ghc-lib-parser-9.14.1.20251220: The GHC API, decoupled from GHC versions

Safe Haskell | Ignore
Language | GHC2021

GHC.Unit.Module.ModNodeKey

Synopsis

- data ModNodeKeyWithUid = ModNodeKeyWithUid {
  - mnkModuleName :: !ModuleNameWithIsBoot
  - mnkUnitId :: !UnitId
  }
- mnkToModule :: ModNodeKeyWithUid -> Module
- moduleToMnk :: Module -> IsBootInterface -> ModNodeKeyWithUid
- mnkIsBoot :: ModNodeKeyWithUid -> IsBootInterface
- mnkToInstalledModule :: ModNodeKeyWithUid -> InstalledModule
- installedModuleToMnk :: InstalledModule -> ModNodeKeyWithUid

# Documentation

data ModNodeKeyWithUid #

Constructors

ModNodeKeyWithUid |

Fields

- mnkModuleName :: !ModuleNameWithIsBoot
- mnkUnitId :: !UnitId

#### Instances

Instances details

Outputable ModNodeKeyWithUid # |
Instance details Defined in GHC.Unit.Module.ModNodeKey Methods ppr :: ModNodeKeyWithUid -> SDoc #
Eq ModNodeKeyWithUid # |
Instance details Defined in GHC.Unit.Module.ModNodeKey Methods (==) :: ModNodeKeyWithUid -> ModNodeKeyWithUid -> Bool # (/=) :: ModNodeKeyWithUid -> ModNodeKeyWithUid -> Bool #
Ord ModNodeKeyWithUid # |

Instance details

Defined in GHC.Unit.Module.ModNodeKey

Methods

compare :: ModNodeKeyWithUid -> ModNodeKeyWithUid -> Ordering #

(<) :: ModNodeKeyWithUid -> ModNodeKeyWithUid -> Bool #

(<=) :: ModNodeKeyWithUid -> ModNodeKeyWithUid -> Bool #

(>) :: ModNodeKeyWithUid -> ModNodeKeyWithUid -> Bool #

(>=) :: ModNodeKeyWithUid -> ModNodeKeyWithUid -> Bool #

max :: ModNodeKeyWithUid -> ModNodeKeyWithUid -> ModNodeKeyWithUid #

min :: ModNodeKeyWithUid -> ModNodeKeyWithUid -> ModNodeKeyWithUid #

mnkToModule :: ModNodeKeyWithUid -> Module #

moduleToMnk :: Module -> IsBootInterface -> ModNodeKeyWithUid #

mnkIsBoot :: ModNodeKeyWithUid -> IsBootInterface #

mnkToInstalledModule :: ModNodeKeyWithUid -> InstalledModule #

installedModuleToMnk :: InstalledModule -> ModNodeKeyWithUid #

Already InstalledModules are always NotBoot